Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.nio.conn
Class NoopIOSessionStrategy

    java.lang.Object
      org.apache.http.nio.conn.NoopIOSessionStrategy

All Implemented Interfaces:
  SchemeIOSessionStrategy

    public class NoopIOSessionStrategy

extends Object
implements SchemeIOSessionStrategy

Noop implementation for protocol schemes that have no transport level security.

Since:
  4.0

Field Summary
`static NoopIOSessionStrategy` | `INSTANCE`

Constructor Summary
`NoopIOSessionStrategy()`

Method Summary
`boolean` | `isLayeringRequired()` Determines whether or not protocol layering is required.
`org.apache.http.nio.reactor.IOSession` | `upgrade(org.apache.http.HttpHost host, org.apache.http.nio.reactor.IOSession ioSession)` Decorates the original `IOSession` with a transport level security protocol implementation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final NoopIOSessionStrategy INSTANCE

Constructor Detail

### NoopIOSessionStrategy

    public NoopIOSessionStrategy()

Method Detail

### upgrade

    public org.apache.http.nio.reactor.IOSession upgrade(org.apache.http.HttpHost host,
                                                         org.apache.http.nio.reactor.IOSession ioSession)

  Description copied from interface: `SchemeIOSessionStrategy`
  Decorates the original `IOSession` with a transport level security protocol implementation.

  Specified by:
    `upgrade` in interface `SchemeIOSessionStrategy`
  Parameters:
    `host` - the target host.
    `ioSession` - the I/O session.
  Returns:
    upgraded I/O session.

### isLayeringRequired

    public boolean isLayeringRequired()

  Description copied from interface: `SchemeIOSessionStrategy`
  Determines whether or not protocol layering is required. If this method returns `false` the `upgrade` method is expected to have no effect and should not be called.

  Specified by:
    `isLayeringRequired` in interface `SchemeIOSessionStrategy`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010–2021 The Apache Software Foundation. All rights reserved.